Bug 442108 - Squid not built using fortify source
Squid not built using fortify source
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: squid (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Jiri Skala
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-11 15:12 EDT by Martin Nagy
Modified: 2016-07-26 19:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:16:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Martin Nagy 2008-04-11 15:12:49 EDT
Description of problem:
Squid is not built with %{optflags} and therefore lacks -D_FORTIFY_SOURCE=2 and
-O2 flags. With these flags, squid will be more secure when processing untrusted
input (which it does a lot).

Version-Release number of selected component (if applicable):
squid-2.6.STABLE6-7.el5

How reproducible:
See build logs.

Actual results:
no -D_FORTIFY_SOURCE=2 flag used with gcc

Expected results:
-D_FORTIFY_SOURCE=2 flag used with gcc
Comment 2 RHEL Product and Program Management 2008-06-09 17:58:27 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 errata-xmlrpc 2009-01-20 16:16:54 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0126.html

Note You need to log in before you can comment on or make changes to this bug.